#ifndef	__COMMON_H
#define	__COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdbool.h> 
#include <sys/socket.h>	/* basic socket definitions */
#include <string.h>
#include <arpa/inet.h>

typedef struct dgram {
//   uint64_t id, clc;
   uint64_t clc;
} dgram_t;
#define	MAXLINE	sizeof( struct dgram )

#define	SERV_UDP_PORT	55555

unsigned debug_level = 0;   // уровень отладочного вывода

static inline void err_dump( const char *msg ) {
   fprintf( stderr, "%s\n", msg );
   fflush( stderr );
   exit( EXIT_FAILURE );
}

#endif
