#ifndef __LIBDIAG_H
#define __LIBDIAG_H

#include <time.h>
#include <stdint.h>
#include <unistd.h>

uint64_t rdtsc( void );
unsigned calibr( int rep );
uint64_t proc_hz( void );
void set_rt( int );

double inline tick2us( uint64_t proc_hz, uint64_t ticks ) {
   return ( ( 1.E9 / proc_hz ) * ticks ) / 1000.;
}

#endif
